device(1).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(2).
job(3).
job(4).
job(5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
job(13).
job(14).
job(15).
job(16).
job(17).
job(18).
job(19).
job(20).
job(21).
job(22).
job(23).
job(24).
job(25).
job(26).
job(27).
job(28).
job(29).
job(30).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
precedes(13,14).
precedes(1,2).
precedes(2,3).
precedes(4,5).
precedes(5,6).
job_len(14,15).
job_len(13,15).
job_len(12,4).
job_len(11,19).
job_len(10,11).
job_len(9,6).
job_len(8,7).
job_len(7,5).
job_len(6,13).
job_len(5,19).
job_len(4,11).
precedes(14,15).
precedes(16,17).
precedes(17,18).
precedes(19,20).
precedes(20,21).
precedes(22,23).
precedes(23,24).
precedes(25,26).
precedes(26,27).
precedes(28,29).
precedes(29,30).
importance(30,1).
importance(29,3).
importance(28,1).
importance(27,3).
importance(26,1).
importance(25,2).
importance(24,2).
importance(23,3).
importance(22,3).
importance(21,1).
importance(20,2).
importance(19,2).
importance(18,2).
importance(17,1).
importance(16,1).
importance(15,3).
importance(14,3).
importance(13,2).
importance(12,2).
importance(11,2).
importance(10,2).
importance(9,3).
importance(8,2).
importance(7,2).
importance(6,1).
importance(5,3).
importance(4,1).
importance(3,2).
importance(2,1).
importance(1,3).
job_device(1,1).
job_device(4,2).
job_device(7,1).
job_device(10,1).
job_device(13,1).
job_device(16,1).
job_device(19,2).
job_device(22,1).
job_device(25,2).
job_device(28,2).
job_device(2,3).
job_device(5,3).
job_device(8,3).
job_device(11,4).
job_device(14,4).
job_device(17,4).
job_device(20,3).
job_device(23,3).
job_device(26,4).
job_device(29,4).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_device(15,5).
job_device(18,5).
job_device(21,5).
job_device(24,5).
job_device(27,5).
job_device(30,5).
job_len(30,5).
job_len(29,17).
job_len(28,17).
job_len(27,13).
job_len(26,19).
job_len(25,20).
job_len(24,5).
job_len(23,5).
job_len(22,4).
job_len(21,6).
job_len(20,17).
job_len(19,15).
job_len(18,3).
job_len(17,14).
job_len(16,10).
job_len(15,3).
job_len(3,3).
job_len(2,14).
job_len(1,6).
deadline(3,15).
deadline(6,14).
deadline(9,14).
deadline(12,30).
deadline(15,35).
deadline(18,14).
deadline(21,29).
deadline(24,11).
deadline(27,25).
deadline(30,15).
max_total_penalty(1171).
curr_job_start(30,56).
curr_job_start(27,39).
curr_job_start(24,15).
curr_job_start(21,93).
curr_job_start(18,70).
curr_job_start(12,89).
curr_job_start(6,73).
curr_job_start(3,20).
curr_job_start(29,39).
curr_job_start(26,20).
curr_job_start(17,56).
curr_job_start(11,70).
curr_job_start(23,10).
curr_job_start(20,63).
curr_job_start(5,48).
curr_job_start(2,6).
curr_job_start(28,20).
curr_job_start(25,0).
curr_job_start(19,48).
curr_job_start(4,37).
curr_job_start(22,6).
curr_job_start(16,0).
curr_job_start(10,10).
curr_job_start(1,0).
curr_on_instance(30,1).
curr_on_instance(29,1).
curr_on_instance(28,1).
curr_on_instance(27,1).
curr_on_instance(26,1).
curr_on_instance(25,1).
curr_on_instance(24,1).
curr_on_instance(23,2).
curr_on_instance(22,1).
curr_on_instance(21,1).
curr_on_instance(20,2).
curr_on_instance(19,1).
curr_on_instance(18,1).
curr_on_instance(17,1).
curr_on_instance(16,2).
curr_on_instance(12,1).
curr_on_instance(11,1).
curr_on_instance(10,1).
curr_on_instance(6,1).
curr_on_instance(5,1).
curr_on_instance(4,1).
curr_on_instance(3,1).
curr_on_instance(2,1).
curr_on_instance(1,1).
curr_time(48).
max_value(1299).

